## gxtuner 1.3

=== Makefile ===
## makefile for gxtuner by @brummer
## please edit to your needs

## set the install Path for gxtuner
	PREFIX = /usr
	BIN_DIR = $(PREFIX)/bin
	SHARE_DIR = $(PREFIX)/share
	DESKAPPS_DIR = $(SHARE_DIR)/applications
	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps

all    :
	@echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' > config.h
	@echo "build . . gxtuner"
	$(CXX) -O2 -Wall -march=native  -ffast-math -lzita-resampler `pkg-config --cflags --libs jack gtk+-2.0 gthread-2.0 fftw3f` gxtuner.cpp  -o gxtuner
	@echo "build finish, now run make install"

install:
	install gxtuner $(DESTDIR)$(BIN_DIR)
	install gxtuner.desktop $(DESTDIR)$(DESKAPPS_DIR)
	install gxtuner.png $(DESTDIR)$(PIXMAPS_DIR)
	@echo "gxtuner installation finish,  exit"

clean  :
	rm -rf gxtuner
	rm -rf config.h
	rm -rf *-stamp
	rm -rf *~
	@echo "clean, . . . finish"
uninstall :
	rm -rf $(BIN_DIR)/gxtuner $(DESKAPPS_DIR)/gxtuner.desktop $(PIXMAPS_DIR)/gxtuner.png
	@echo "uninstall gxtuner, . . . finish"
