=== debian/changelog ===
gxtuner (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 28 Jul 2011 22:50:53 +0200

gxtuner (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 27 Jul 2011 20:58:13 +0200

gxtuner (1.0-1) unstable; urgency=low

  * Initial release (Closes: #635266)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 24 Jul 2011 14:44:54 +0200
