=== debian/control ===
Source: gxtuner
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 pkg-config,
 libjack-dev,
 libzita-resampler-dev,
 libfftw3-dev,
 libgtk2.0-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/gxtuner.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gxtuner.git
Homepage: http://guitarix.sourceforge.net/

Package: gxtuner
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Tuner for Jack
 A simple, small and lightweight guitar/bass tuner for jack.
 Gxtuner comes with a analogue like interface (scale),
 show the tune (char) and the accumulated frequency (Hz).
 .
 It's a break out of the guitarix tuner module.
