## gxtuner 1.6

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,24 @@
 	SHARE_DIR = $(PREFIX)/share
 	DESKAPPS_DIR = $(SHARE_DIR)/applications
 	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps
+	LIBS = `pkg-config --libs jack gtk+-2.0 gthread-2.0 fftw3f` -lzita-resampler
+	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-2.0 gthread-2.0 fftw3f`
+## set to NO to disable jack_session support
+	JACK_SESSION  = YES
 
 all    :
 	@echo '#define PIXMAPS_DIR  "$(PIXMAPS_DIR)"' > config.h
+ifneq ($(JACK_SESSION), YES)
 	@echo "build . . gxtuner"
-	$(CXX) -O2 -Wall -march=native  -ffast-math -lzita-resampler `pkg-config --cflags --libs jack gtk+-2.0 gthread-2.0 fftw3f` gxtuner.cpp  -o gxtuner
+	@echo ''
+	@echo '-->> to enable JACK SESSION SUPPORT,'
+	@echo '     please edit the Makefile'
+	@echo ''
+else
+	@echo "build gxtuner with jack_session support"
+	@echo '#define HAVE_JACK_SESSION 1' >> config.h 
+endif
+	$(CXX) $(LDFLAGS) $(CFLAGS) cmdparser.cpp gxtuner.cpp $(LIBS) -o gxtuner
 	@echo "build finish, now run make install"
 
 install:
