=== debian/changelog ===
gxtuner (1.6-1) unstable; urgency=low

  * New upstream release.
  * Updated man page.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 11 Dec 2011 21:55:44 +0100

gxtuner (1.5-1) unstable; urgency=low

  * New upstream release.
  * Updated man page
  * Removed patch - applied upstream
  * Updated watch file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 09 Dec 2011 16:42:06 +0100

gxtuner (1.4-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Set DM-Upload-Allowed: yes

  [ Jaromír Mikeš ]
  * Added menu file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 06 Dec 2011 08:54:10 +0100
