=== debian/watch ===
version=3
http://sf.net/guitarix/gxtuner-([\d.]+).\nopkg\.tar\.bz2
