=== debian/changelog ===
gxtuner (1.7-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 14 Dec 2011 16:55:40 +0100
