=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libfftw3-dev,
  libgtk2.0-dev
 Standards-Version: 3.9.2
+DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/gxtuner.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gxtuner.git
 Homepage: http://guitarix.sourceforge.net/
