=== debian/changelog ===
gxtuner (1.8-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 17 Dec 2011 23:44:22 +0100
