## gxtuner 2.0

=== Makefile ===
--- 
+++ 
@@ -2,16 +2,18 @@
 ## please edit to your needs
 ## set the install Path for gxtuner
 
+    #@defines
 	PREFIX = /usr
 	BIN_DIR = $(PREFIX)/bin
 	SHARE_DIR = $(PREFIX)/share
 	DESKAPPS_DIR = $(SHARE_DIR)/applications
 	PIXMAPS_DIR = $(SHARE_DIR)/pixmaps
-	VER = 1.8
+	VER = 2.0
 	LIBS = `pkg-config --libs jack gtk+-2.0 gthread-2.0 fftw3f` -lzita-resampler
 	CFLAGS += -Wall -ffast-math `pkg-config --cflags jack gtk+-2.0 gthread-2.0 fftw3f`
-	OBJS = jacktuner.o gxtuner.o cmdparser.o pitchtracker.o gtkknob.o paintbox.o tuner.o main.o
-	CREATEDEB = yes '' | dh_make -s -n -e $(USER)@org -c gpl -i >/dev/null
+	OBJS = jacktuner.o gxtuner.o cmdparser.o pitchtracker.o gtkknob.o \
+           paintbox.o tuner.o deskpager.o main.o
+	CREATEDEB = yes '' | dh_make -s -n -e $(USER)@org -p gxtuner_$(VER) -c gpl -i >/dev/null
 	DIRS = $(BIN_DIR)  $(DESKAPPS_DIR)  $(PIXMAPS_DIR) 
 	BUILDDEB = dpkg-buildpackage -rfakeroot -b 2>/dev/null | grep dpkg-deb 
 	#SOURCES =$(OBJS:%.o=%.cpp)
@@ -24,19 +26,23 @@
 	RED =  "\033[1;31m"
 	NONE = "\033[0m"
 
-gxtuner : config
+    #@default build with jack session support
+all : config
 	@$(MAKE) check
 
-build : $(OBJS)
+    #@link object files to build executable
+link : $(OBJS)
 	@rm -rf gxtuner
 	@echo $(BROWN)
 	- $(CXX) $(LDFLAGS) $(CFLAGS) $(OBJS) $(LIBS) -o gxtuner
 
-check : build
+    #@check if build have worked
+check : link
 	@if [ -f ./gxtuner ]; then echo $(BLUE)"build finish, now run make install"; \
 	else echo $(RED)"sorry, build failed"; fi
 	@echo $(NONE)
 
+    #@create config.h for build with jack session support
 config :
 	-@if cat config.h 2>/dev/null | grep HAVE_JACK_SESSION >/dev/null; then \
     echo ''; else \
@@ -49,11 +55,12 @@
 	@echo  "" 
 	@echo  $(LGREEN)"build gxtuner with jack_session support"$(GREEN)
 	@echo  ""
-	
 
+    #@build without jack sessio support
 nosession : nconf
 	@$(MAKE) check
 
+    #@create config.h for build without jack session support
 nconf :
 	-@if [ -f ./config.h 2>/dev/null ] ; then \
     if cat config.h 2>/dev/null | grep HAVE_JACK_SESSION >/dev/null; then \
@@ -67,6 +74,7 @@
 	@echo $(RED)"build gxtuner without jack_session support !!"$(GREEN)
 	@echo  ""
 
+    #@build object files
 jacktuner.o : jacktuner.cpp jacktuner.h config.h
 	@rm -rf jacktuner.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c jacktuner.cpp
@@ -87,7 +95,7 @@
 	@rm -rf gtkknob.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c gtkknob.cc
 
-tuner.o :tuner.cpp tuner.h config.h paintbox.h gtkknob.h gxtuner.h
+tuner.o :tuner.cpp tuner.h config.h paintbox.h gtkknob.h gxtuner.h deskpager.h
 	@rm -rf tuner.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c tuner.cpp
 
@@ -95,10 +103,15 @@
 	@rm -rf paintbox.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c paintbox.cpp
 
-main.o : main.cpp jacktuner.h gxtuner.h cmdparser.h pitchtracker.h tuner.h
+deskpager.o : deskpager.cpp deskpager.h
+	@rm -rf deskpager.o
+	-$(CXX) $(LDFLAGS) $(CFLAGS) -c deskpager.cpp
+
+main.o : main.cpp jacktuner.h gxtuner.h cmdparser.h pitchtracker.h tuner.h deskpager.h
 	@rm -rf main.o
 	-$(CXX) $(LDFLAGS) $(CFLAGS) -c main.cpp
 
+    #@install all
 install :
 	@mkdir -p $(DESTDIR)$(BIN_DIR)
 	@mkdir -p $(DESTDIR)$(DESKAPPS_DIR)
@@ -108,27 +121,32 @@
 	install gxtuner.png $(DESTDIR)$(PIXMAPS_DIR)
 	@echo $(BLUE)"gxtuner installation finish,"$(NONE)
 
+    #@well, clean up the build
 clean :
 	@echo $(RED)"clean up,"
 	@rm -rf gxtuner config.h *-stamp *~ *.o
 	@echo ". ." $(BLUE)", done"$(NONE)
 
+    #@clean up included the debian folder
 clean-full :
 	@echo $(RED)"clean up,"
 	@rm -rf gxtuner config.h *-stamp *~ *.o
 	@rm -rf ./debian/*.log ./debian/*.substvars ./debian/gxtuner
 	@echo ". ." $(BLUE)", done"$(NONE)
 
+    #@create tar ball
 tar : clean-full
 	@cd ../ && \
-	tar -cf gxtuner-$(VER).tar.bz2 --bzip2 gxtuner-$(VER)
+	tar -cf gxtuner-$(VER).tar.bz2 --bzip2 gxtuner
 	@echo $(LGREEN)"build gxtuner-"$(VER)".tar.bz2"$(NONE)
 
+    #@create a tar ball, exclude ./debian
 dist-tar : clean
 	@cd ../ && \
-	tar -cf gxtuner-$(VER)-nopkg.tar.bz2 --bzip2 gxtuner-$(VER) --exclude=debian
+	tar -cf gxtuner-$(VER)-nopkg.tar.bz2 --bzip2 gxtuner --exclude=debian
 	@echo $(LGREEN)"build gxtuner-"$(VER)"-nopkg.tar.bz2"$(NONE)
 
+    #@build a debian packet for all arch
 deb : 
 	@rm -rf ./debian
 	@echo $(BLUE)"create ./debian"$(NONE)
@@ -140,6 +158,7 @@
      echo $(RED)"sorry, build fail"$(NONE); fi
 	@rm -rf ./debian
 
+    #@remove the installed stuff
 uninstall :
 	rm -rf $(BIN_DIR)/gxtuner $(DESKAPPS_DIR)/gxtuner.desktop $(PIXMAPS_DIR)/gxtuner.png
 	@echo $(RED)"uninstall gxtuner, . . . finish"$(NONE)
