=== debian/changelog ===
gxtuner (2.0-2ubuntu1) raring; urgency=low

  * Added missing lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 20 Apr 2013 14:51:16 -0400

gxtuner (2.0-2) unstable; urgency=low

  * Team upload.
  * Bump requirement on libzita-resampler-dev to 1.1.0.
  * Adapt gxtuner to zita-resampler's new API.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Feb 2012 11:19:27 +0100

gxtuner (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 28 Jan 2012 01:26:17 +0100
