=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gxtuner
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
  libjack-dev,
- libzita-resampler-dev,
+ libzita-resampler-dev (>> 1.1.0),
  libfftw3-dev,
  libgtk2.0-dev
 Standards-Version: 3.9.2
