=== debian/changelog ===
gxtuner (2.1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:42:53 +0000

gxtuner (2.1-1) unstable; urgency=low

  * New upstream release.
  * Droped patches - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 10 Aug 2013 16:51:04 +0200

gxtuner (2.0-3) unstable; urgency=low

  * Bump standards.
  * Set dh/compat 9
  * Update copyright file.
  * Added Keywords entry to desktop file.
  * Removed DMUA.
  * Fix VCS canonical URLs.
  * Added patch to fix undefined reference to symbol. (Closes: #713646)
  * Added spelling fix patch.
  * Added patch to fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 05 Aug 2013 02:14:33 +0200
