=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
  pkg-config,
  libjack-dev,
  libzita-resampler-dev (>> 1.1.0),
  libfftw3-dev,
  libgtk2.0-dev
-Standards-Version: 3.9.2
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/gxtuner.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gxtuner.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/gxtuner.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/gxtuner.git
 Homepage: http://guitarix.sourceforge.net/
 
 Package: gxtuner
