=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/gxtuner/usr/share/pixmaps/*.png
