=== debian/changelog ===
gxtuner (2.3~repack1-1) unstable; urgency=medium

  * Update watch file.
  * Patches apllied upstream.
  * Repack upstream release.
  * Imported Upstream version 2.3~repack1
  * Rename xpm icon to match with upstream desktop file.
  * Fix install file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 26 Jul 2016 15:09:59 +0200

gxtuner (2.1-2) unstable; urgency=medium

  * Bump Standards.
  * Remove menu file.
  * Fix VCS fields.
  * Fix hardening.
  * Install upstream desktop file.
  * Update copyright file.
  * Fix spelling in man pages.
  * Add patch to add french translation to desktop file. (Closes: #823360)
  * Add spelling patch.
  * Clean install file.
  * Remove dirs file.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 24 Jul 2016 15:22:11 +0200
