=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/gxtuner/usr/share/pixmaps/*.png

## all the file-exclusion magic is handled by debian/copyright
get-orig-source:
	uscan  --download
