=== debian/watch ===
version=3
opts=repacksuffix=~repack1,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gxtuner-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/,dversionmangle=s/~repack.*// \
  https://github.com/brummer10/gxtuner/tags .*/v?(\d\S*)\.tar\.gz
