## gxtuner 2.4

=== debian/changelog ===
gxtuner (2.4-1) unstable; urgency=medium

  * Not repacking to avoid .gitignore file - just filter-out it.
  * Sign tags.
  * New upstream version 2.4
  * Set dh/compat 10.
  * B-D switch to gtk3.
  * Bump Standards.
  * Update copyright file.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Jun 2017 01:35:43 +0200
