=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  pkg-config,
  libjack-dev,
  libzita-resampler-dev (>> 1.1.0),
  libfftw3-dev,
- libgtk2.0-dev
-Standards-Version: 3.9.8
+ libcairo2-dev,
+ libglib2.0-dev,
+ libgtk-3-dev
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gxtuner.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gxtuner.git
 Homepage: http://guitarix.sourceforge.net/
