=== debian/changelog ===
gxtuner (3.0-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Oct 2020 13:52:25 -0400

gxtuner (3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version
    - Set RRR: no
  * debian/patches: Trap errors (Closes: #914663)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Nov 2019 13:58:24 +0100

gxtuner (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Set dh/compat 11.
  * Bump Standards.
  * Use git instead of cgit in VCS.
  * Use secure uri where possible.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 28 Dec 2017 20:07:52 +0100
