=== debian/control ===
Source: gxtuner
Section: sound
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 12),
 pkg-config,
 libjack-dev,
 libzita-resampler-dev (>= 1.1.0),
 libfftw3-dev,
 libcairo2-dev,
 libglib2.0-dev,
 libgtk-3-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/gxtuner.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/gxtuner
Homepage: https://guitarix.sourceforge.io
Rules-Requires-Root: no

Package: gxtuner
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Tuner for Jack
 A simple, small and lightweight guitar/bass tuner for jack.
 Gxtuner comes with a analogue like interface (scale),
 show the tune (char) and the accumulated frequency (Hz).
 .
 It's a break out of the guitarix tuner module.
